Bug 104568 - Incorrect date entry format in oocalc for locales other then US
Incorrect date entry format in oocalc for locales other then US
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: openoffice.org (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-17 07:01 EDT by Tomasz Kepczynski
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 16:46:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomasz Kepczynski 2003-09-17 07:01:29 EDT
Description of problem:
The only format in which dates can be entered into cell in spreadsheet is
MM/DD/YYYY which is confusing for people outside US. Date entry format should be
set from current locale settings or should be setable in preferences.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enter a date in for example Polish format (DD-MM-YYYY) under Polish locale
2. Set display format to the same setting as above
3. Month and day are swaped.
    
Actual results:
Invalid date entered and displayed.

Expected results:
Valid date entered.

Additional info:
Tested on Redhat 9 and openoffice from the distribution. Third party oo (1.0.1)
under RH7.3 is also broken.
Comment 1 Dan Williams 2004-09-16 16:46:17 EDT
Appears to be fixed in rawhide 1.1.2.  Please reopen if its not.

Note You need to log in before you can comment on or make changes to this bug.